<section class="vh-100 bg-image">
  <div class="mask d-flex align-items-center h-100 gradient-custom-3">
    <div class="container">
      <div class="row">
        <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
          <div class="card" style="border-radius: 15px;">
            <div class="card-body p-5">
              <div class="img-logo">
                <img src="https://play-lh.googleusercontent.com/0mfxVUEcKJwyACWS08ndnRvIXhwwUqb9oDdfrW_mlem78GHGhrr3DL5tGv93wfU7Cg" width="100px" alt="logo-astrapay">
              </div>
              <h2 class="card-title text-center mb-5 fw-light fs-5">Create an Account</h2>

              <form [formGroup]="formRegister" (ngSubmit)="doRegister()">

                <!-- <div class="form-floating mb-3">
                    <input type="name" class="form-control" id="floatingName" placeholder="name">
                    <label for="floatingName">Name</label>
                </div> -->

                <div class="form-floating mb-3">
                    <input type="username" formControlName="username" class="form-control" id="floatingPhoneNumber" placeholder="username" name="username" [ngClass]="errorControl['username'].valid ? 'is-valid' : (errorControl['username'].dirty || errorControl['username'].touched) ? 'is-invalid' : ''" required>
                    <label for="floatingPhoneNumber">Username</label>
                    <ng-container *ngIf="(errorControl['username'].dirty || errorControl['username'].touched) && errorControl['username'].errors">
                      <div class="text-danger" *ngIf="errorControl['username'].errors['required']">Please enter your username.</div>
                    </ng-container>
                </div>

                <div class="form-floating mb-3">
                    <input type="email" formControlName="email" class="form-control" id="floatingEmail" placeholder="email" name="email" [ngClass]="errorControl['email'].valid ? 'is-valid' : (errorControl['email'].dirty || errorControl['email'].touched) ? 'is-invalid' : ''" required>
                    <label for="floatingEmail">Email</label>
                    <ng-container *ngIf="(errorControl['email'].dirty || errorControl['email'].touched) && errorControl['email'].errors">
                      <div class="text-danger" *ngIf="errorControl['email'].errors['required']">Please enter your email.</div>
                    </ng-container>
                </div>

                <div class="form-floating mb-3">
                    <input type="password" formControlName="password" class="form-control" id="floatingPassword" placeholder="password" name="password" [ngClass]="errorControl['password'].valid ? 'is-valid' : (errorControl['password'].dirty || errorControl['password'].touched) ? 'is-invalid' : ''" required>
                    <label for="floatingPassword">Password</label>
                    <ng-container *ngIf="(errorControl['password'].dirty || errorControl['password'].touched) && errorControl['password'].errors">
                      <div class="text-danger" *ngIf="errorControl['password'].errors['required']">Please enter your password.</div>
                    </ng-container>
                </div>

                <!-- <div class="form-floating mb-3">
                  <input type="password" formControlName="password" class="form-control" id="floatingPassword" placeholder="confirmPassword" name="password" [ngClass]="errorControl['password'].valid ? 'is-valid' : (errorControl['password'].dirty || errorControl['password'].touched) ? 'is-invalid' : ''" required>
                  <label for="floatingPassword">Re-enter Your Password</label>
                  <ng-container *ngIf="(errorControl['password'].dirty || errorControl['password'].touched) && errorControl['password'].errors">
                    <div class="text-danger" *ngIf="errorControl['password'].errors['required']">Please re-enter your password.</div>
                  </ng-container>
              </div> -->

                <div class="d-flex justify-content-center">
                  <button type="button" class="btn btn-primary btn-login text-uppercase fw-bold" [disabled]="!formRegister.valid || !confirmPassword">Register</button>
                </div>
                
                <p class="text-center text-muted mt-5 mb-0">Have already an account? <a href="#!"
                    class="fw-bold text-body"><u>Login here</u></a></p>

              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
